For Developers

List Sources

GET https://ed.link/api/v2/teams/:team_id/sources

Returns all data sources owned by the team. Each source is a model-shaped MikroORM Source entity with populated provider relation. Clever and ClassLink sources are hidden for unverified non-admin district teams.

Requires the sources.read system permission.

This query allows for standard paging parameters.

It is best practice to use either $first or $last in conjunction with the $next value returned by the API to paginate through results.

Sample Request

const response = await axios.get(`https://ed.link/api/v2/teams/${team_id}/sources`, {
    headers: {
        authorization: `Bearer ${user_session_token}`
    }
});

Sample Response

{
    "$data": [
        {
            "id": "5d149266-95d2-42cf-8660-8b528b3bfba3",
            "created_date": "2020-02-14T17:20:06.254Z",
            "updated_date": "2025-06-01T09:00:00.000Z",
            "name": "Edlink University Canvas",
            "state": "active",
            "provider": {
                "id": "035d6dd6-1569-47b2-8ed8-63435be58078",
                "name": "Canvas",
                "application": "canvas"
            },
            "sync_interval": 86400,
            "import_interval": 3600
        }
    ]
}
  • POST /api/v2/teams/:team_id/sources — Create a new source